3CX SBC Notification

Discussion in '3CX Phone System - General' started by nb, Jun 27, 2017.

Thread Status:
Not open for further replies.
  1. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,129
    Likes Received:
    153

    1. Continue reading the Original Blog Post.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    #1 nb, Jun 27, 2017
    Last edited: Jun 27, 2017
  2. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,129
    Likes Received:
    153
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,129
    Likes Received:
    153
    Everything has been updated - new blogpost will follow shortly.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. techclarity

    techclarity New Member

    Joined:
    Nov 14, 2014
    Messages:
    102
    Likes Received:
    48
    Does this update work with version 15 (not 15.5)?
     
  5. Nathan Boyd

    Joined:
    Feb 2, 2017
    Messages:
    46
    Likes Received:
    11
    I multiple Pi instances updated and connecting fine to V14 instances, so I imagine that it'll be fine with V15.
     
  6. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,129
    Likes Received:
    153
    Yes it does. With all.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. garyjduk

    Joined:
    Aug 11, 2009
    Messages:
    70
    Likes Received:
    0
    Has the Raspberry Pi SBC been updated too? I've reinstalled as mentioned in the blog but I'm still getting the same error.
    The Raspberry Pi version that is being loaded is 15.5.2607

    I've tried taking encryption off as well but still nothing.
     
  8. jeroendebruijn

    Joined:
    Nov 9, 2015
    Messages:
    35
    Likes Received:
    17
    Still gettign an erro by start after updating 3cx:

    sudo service 3cxsbc start
    /usr/sbin/3cxsbc: /usr/lib/arm-linux-gnueabihf/libstdc++.so.6: version `GLIBCXX_3.4.18' not found (required by /usr/sbin/3cxsbc)

    any suggestions? (preferably to be executed via SHH)
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  9. Jake Colvin

    Joined:
    Feb 28, 2017
    Messages:
    6
    Likes Received:
    0
    apt-get update
     
  10. uptime1

    uptime1 New Member

    Joined:
    Jan 13, 2012
    Messages:
    112
    Likes Received:
    30
    Yikes Nicky! That was SUPER PAINFUL!!!! Lots of angry customers unable to use their phones. That's no way to run a phone system or a software company. Obviously some follks at 3CX dropped the ball big time. I want to know that you all are re-grouping and focusing concentration on auditing and assessing all the dependencies that risk causing global outages, and then checking the list again, and continually as a best practice. This is not something that can happen again without further complications and abandonment of 3CX. What do you think about sharing what you all are doing to avoid this severe level of fiasco in the future?
     
  11. uptime1

    uptime1 New Member

    Joined:
    Jan 13, 2012
    Messages:
    112
    Likes Received:
    30
    Oh, and i want the RPi SBC's to be entirely set it and forget it. No mandatory updates to the 3CX SBC app ever, especially to update an expired cert (buy a 10+ year public cert from a stable company. If cost is an issue, get it cheap from SSL2buy.com). Please do not assume I'm interested or accept spending hours and days struggling to reach end point devices that aren't manageable.
     
    #11 uptime1, Jun 29, 2017
    Last edited: Jun 29, 2017
    OCWI likes this.
  12. uptime1

    uptime1 New Member

    Joined:
    Jan 13, 2012
    Messages:
    112
    Likes Received:
    30
    There is an 3CX server performance and operational impacting anomaly when upgrading the 3CX RPi SBC app. After updating several RPi's to the latest app version, the 3CX Cloud 14.0.47020.408 server exhibits high CPU usage with 3CXTunnel## service (all of them, not exclusive to 01). For example, 3CX PhoneSystem 01 SIP/RTP Tunneling Proxy shows high CPU until the service is stopped and restarted after which it appears nominal. Perfmon reports what seems like unusually high write activity with 3CXTunnel.exe to c:\ProgramData\3CX\Instance##\Data\Logs\3CXTunnel.log.

    Hmnmm, that 3CXTunnel.log gets written a LOT. Is there anyway to disable all that logging? My SSD's thank you.
     
  13. jeroendebruijn

    Joined:
    Nov 9, 2015
    Messages:
    35
    Likes Received:
    17
    Not entirely, as that was the first thing i did...

    Apparently, depending on how old your installment of the Raspberry Pi SBC is (mine is quite old) You need to do

    Safe the 3cxsbc.conf from /etc/3cxsbc.conf
    1. Update the RPi to the latest version of the current distribution (possibly you could skip this one)
      • sudo services 3cxsbc stop
      • sudo apt-get update
      • shutdown -r now
    2. Upgrade to the lastest Distribution
      • sudo apt-get dist-upgrade
      • shutdown -r now
    3. Update the new distribution (possibly you could skip this one)
      • sudo services 3cxsbc stop
      • sudo apt-get update (possibly you could skip this one)
      • shutdown -r now
    4. Upgrade the 3cxsbc
    5. Restart the 3cx services on the pbx!
    6. Drink a coffee (wait 10 minutes)
    7. Restart the phones
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  14. Rick Weijenberg

    Joined:
    Jun 30, 2017
    Messages:
    1
    Likes Received:
    0
    Dear Nicky,

    Has it been known what has been the problem that suddenly no ecrypted tunnel was possible?

    With kind regards,

    Rick Weijenberg
     
  15. millsey

    millsey New Member

    Joined:
    Dec 21, 2011
    Messages:
    190
    Likes Received:
    0
    The Windows version will not install, on Windows 10 64bit or Windows 7. There is an error with the installer package.
     
  16. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    6,407
    Likes Received:
    456
    Can you please send a screenshot of the error you are getting? Just tried installing in a windows 10 64 bit and it went through without issue.
    Try to download the installer again in case something got corrupted during the download
     
Thread Status:
Not open for further replies.